CWGraphInternal::ZoneBasic Struct Reference

Internal: small class to store a basic graphic zone of a CWGraph. More...

Inheritance diagram for CWGraphInternal::ZoneBasic:

## Public Member Functions

| ZoneBasic (Zone const &z, Type type)
| constructor More...
virtual void | print (std::ostream &o) const
| print the data More...
virtual Type | getType () const
| return the main type More...
virtual Type | getSubType () const
| return the sub type More...
virtual int | getNumData () const
| return the number of data More...
virtual CWStruct::DSET::Child | getChild () const
| return a child corresponding to this zone More...
Public Member Functions inherited from CWGraphInternal::Zone
| Zone ()
| constructor More...
virtual | ~Zone ()
| destructor More...

## Public Attributes

Type | m_type
| the sub type More...
float | m_values [2]
| arc : the angles, rectoval : the corner dimension More...
int | m_flags [8]
| some unknown value More...
std::vector< CurvePoint > | m_vertices
| the polygon vertices More...
Public Attributes inherited from CWGraphInternal::Zone
int | m_page
| the page (checkme: or frame linked ) More...
Box2i | m_box
| the bdbox More...
Style | m_style
| the style More...

## Additional Inherited Members

Public Types inherited from CWGraphInternal::Zone
enum | Type { T_Zone, T_Basic, T_Picture, T_Chart, T_DataBox, T_Unknown, T_Line, T_Rect, T_RectOval, T_Oval, T_Arc, T_Poly, T_Pict, T_QTim, T_Movie, T_Bitmap }
| the list of types More...

## Detailed Description

Internal: small class to store a basic graphic zone of a CWGraph.

## Constructor & Destructor Documentation

CWGraphInternal::ZoneBasic::ZoneBasic | ( | Zone const & | z,
|  | Type | type
| ) |  |

inline

constructor

## Member Function Documentation

virtual CWStruct::DSET::Child CWGraphInternal::ZoneBasic::getChild | ( |  | ) | const

inline virtual

return a child corresponding to this zone

Reimplemented from CWGraphInternal::Zone.

virtual int CWGraphInternal::ZoneBasic::getNumData | ( |  | ) | const

inline virtual

return the number of data

Reimplemented from CWGraphInternal::Zone.

virtual Type CWGraphInternal::ZoneBasic::getSubType | ( |  | ) | const

inline virtual

return the sub type

Reimplemented from CWGraphInternal::Zone.

Referenced by CWGraph::readBasicGraphic(), and CWGraph::sendBasicPicture().

virtual Type CWGraphInternal::ZoneBasic::getType | ( |  | ) | const

inline virtual

return the main type

Reimplemented from CWGraphInternal::Zone.

void CWGraphInternal::ZoneBasic::print | ( | std::ostream & | o | ) | const

virtual

print the data

Reimplemented from CWGraphInternal::Zone.

## Member Data Documentation

int CWGraphInternal::ZoneBasic::m_flags[8]

some unknown value

Referenced by print(), CWGraph::readBasicGraphic(), and ZoneBasic().

Type CWGraphInternal::ZoneBasic::m_type

the sub type

Referenced by getNumData(), getSubType(), and print().

float CWGraphInternal::ZoneBasic::m_values[2]

arc : the angles, rectoval : the corner dimension

Referenced by print(), CWGraph::readBasicGraphic(), CWGraph::sendBasicPicture(), and ZoneBasic().

std::vector<CurvePoint> CWGraphInternal::ZoneBasic::m_vertices

the polygon vertices

Referenced by print(), CWGraph::readPolygonData(), and CWGraph::sendBasicPicture().

The documentation for this struct was generated from the following file:

- CWGraph.cxx